package com.ruoyi.hezhi.mapper;

import com.ruoyi.hezhi.domain.TbMemberSign;

import java.util.List;
import java.util.Map;

/**
 * 用户签到Mapper接口
 *
 * @author ruoyi
 * @date 2024-10-31
 */
public interface TbMemberSignMapper
{
    /**
     * 查询用户签到
     *
     * @param memberSignId 用户签到主键
     * @return 用户签到
     */
    public TbMemberSign selectTbMemberSignByMemberSignId(Long memberSignId);

    /**
     * 查询用户签到列表
     *
     * @param tbMemberSign 用户签到
     * @return 用户签到集合
     */
    public List<TbMemberSign> selectTbMemberSignList(TbMemberSign tbMemberSign);

    /**
     * 新增用户签到
     *
     * @param tbMemberSign 用户签到
     * @return 结果
     */
    public int insertTbMemberSign(TbMemberSign tbMemberSign);

    /**
     * 修改用户签到
     *
     * @param tbMemberSign 用户签到
     * @return 结果
     */
    public int updateTbMemberSign(TbMemberSign tbMemberSign);

    /**
     * 删除用户签到
     *
     * @param memberSignId 用户签到主键
     * @return 结果
     */
    public int deleteTbMemberSignByMemberSignId(Long memberSignId);

    /**
     * 批量删除用户签到
     *
     * @param memberSignIds 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteTbMemberSignByMemberSignIds(Long[] memberSignIds);

    /**
     * 用户签到弹窗
     *
     * @param params 参数
     * @return 用户签到弹窗
     */
    public Map<String, Object> getMemberSignPopup(Map<String, Object> params);
}
